List Batch Dials
curl --request GET \
--url https://api.vogent.ai/api/batch_dial_jobs/{id}/dials \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.vogent.ai/api/batch_dial_jobs/{id}/dials"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.vogent.ai/api/batch_dial_jobs/{id}/dials', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"toNumber": "<string>",
"agent": {
"id": "<string>",
"name": "<string>",
"language": "<string>",
"transcriberParams": {
"type": "<string>",
"keywords": [
"<string>"
]
},
"metadata": {},
"utteranceDetectorConfig": {
"interruptionPlayTimeMs": 123
},
"endpointDetectorConfig": {},
"ivrConfiguration": {
"versionedPromptId": "<string>",
"aiVoiceId": "<string>",
"taggingText": "<string>"
},
"idleMessageConfig": {
"enabled": true,
"messages": [
"<string>"
],
"idleDurationMilliseconds": 5001,
"maxIdleMessages": 2
},
"maxDurationSeconds": 10800,
"timeoutMessage": "<string>",
"timeoutBehaviorConfiguration": {
"transferNumber": "<string>"
},
"defaultVoiceId": "<string>",
"defaultVersionedPromptId": "<string>",
"defaultExtractorId": "<string>",
"linkedFunctionDefinitions": [
{
"functionDefinitionId": "<string>",
"lifecycleMessagesOverride": {
"started": [
"<string>"
]
}
}
],
"fillEmptyStringVariables": true,
"silenceHangupConfiguration": {
"silenceDurationSeconds": 123
},
"ivrSilenceHangupConfiguration": {
"silenceDurationSeconds": 123
},
"voiceOptionValues": [
{
"optionId": "<string>",
"value": "<string>"
}
]
},
"recordings": [
{
"url": "<string>"
}
],
"transcript": [
{
"text": "<string>",
"speaker": "<string>",
"detailType": "<string>",
"functionCallId": "<string>",
"startTimeMs": 123,
"endTimeMs": 123,
"functionCalls": [
{
"name": "<string>",
"args": "<string>",
"functionCallId": "<string>"
}
],
"nodeTransition": {
"toNodeId": "<string>",
"transitionData": {}
}
}
],
"durationSeconds": 123,
"aiDurationSeconds": 123,
"aiResult": {},
"inputs": {},
"status": "<string>",
"dialTaskId": "<string>",
"fromNumberId": "<string>",
"startedAt": "2023-11-07T05:31:56Z",
"endedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"voiceId": "<string>",
"versionedPromptId": "<string>"
}
],
"cursor": "<string>"
}Batch Dials
List Batch Dials
Lists completed dials that are associated with the batch job.
GET
/
batch_dial_jobs
/
{id}
/
dials
List Batch Dials
Authorizations
In the form Bearer <api_key_here>. You can find your api key in your dashboard.
Path Parameters
ID of the batch dial job.
⌘I